# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::StencilMask Class Reference

RenderState wrapping the OpenGL function glStencilMask() and glStencilMaskSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilMask.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilMaskSeparate.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::StencilMask:

List of all members.

## Public Member Functions

| StencilMask (unsigned int mask=~(unsigned int) 0)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EPolygonFace face, unsigned int mask)
unsigned int | mask_Front () const
unsigned int | mask_Back () const

## Protected Attributes

unsigned int | mMask_Front
unsigned int | mMask_Back

## Detailed Description

RenderState wrapping the OpenGL function glStencilMask() and glStencilMaskSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilMask.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilMaskSeparate.xml for more information.

See also:
  Shader, Effect, Actor, StencilOp, StencilFunc, vl::EN_STENCIL_TEST

Definition at line 897 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::StencilMask::StencilMask | ( | unsigned int | mask = `~(unsigned int)0` ) | `[inline]`

Definition at line 900 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::StencilMask::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 904 of file Shader.hpp.

virtual ERenderState vl::StencilMask::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 905 of file Shader.hpp.

References vl::RS_StencilMask.

void StencilMask::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 546 of file Shader.cpp.

References mMask_Back, mMask_Front, and VL_CHECK_OGL.

void vl::StencilMask::set | ( | EPolygonFace | face,
|  | unsigned int | mask
| ) |  | `[inline]`

Definition at line 907 of file Shader.hpp.

References vl::PF_BACK, vl::PF_FRONT, and vl::PF_FRONT_AND_BACK.

unsigned int vl::StencilMask::mask_Front | ( | ) | const`[inline]`

Definition at line 914 of file Shader.hpp.

unsigned int vl::StencilMask::mask_Back | ( | ) | const`[inline]`

Definition at line 915 of file Shader.hpp.

## Member Data Documentation

unsigned int vl::StencilMask::mMask_Front`[protected]`

Definition at line 917 of file Shader.hpp.

Referenced by apply().

unsigned int vl::StencilMask::mMask_Back`[protected]`

Definition at line 918 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.